diff --git a/src/include/common/unicode_norm_table.h b/src/include/common/unicode_norm_table.h
index 18ba5f6683..122231b4f8 100644
--- a/src/include/common/unicode_norm_table.h
+++ b/src/include/common/unicode_norm_table.h
@@ -3547,609 +3549,609 @@ static const pg_unicode_decomposition UnicodeDecompMain[6582] =
 	{0xFB4C, 0, 2 | DECOMP_NO_COMPOSE, 3622},	/* in exclusion list */
 	{0xFB4D, 0, 2 | DECOMP_NO_COMPOSE, 3624},	/* in exclusion list */
 	{0xFB4E, 0, 2 | DECOMP_NO_COMPOSE, 3626},	/* in exclusion list */
-	{0xFB4F, 0, 2 | DECOMP_NO_COMPOSE, 3628},	/* compatibility mapping */
-	{0xFB50, 0, 1 | DECOMP_INLINE, 0x0671},
-	{0xFB51, 0, 1 | DECOMP_INLINE, 0x0671},
-	{0xFB52, 0, 1 | DECOMP_INLINE, 0x067B},
-	{0xFB53, 0, 1 | DECOMP_INLINE, 0x067B},
-	{0xFB54, 0, 1 | DECOMP_INLINE, 0x067B},
-	{0xFB55, 0, 1 | DECOMP_INLINE, 0x067B},
-	{0xFB56, 0, 1 | DECOMP_INLINE, 0x067E},
-	{0xFB57, 0, 1 | DECOMP_INLINE, 0x067E},
-	{0xFB58, 0, 1 | DECOMP_INLINE, 0x067E},
-	{0xFB59, 0, 1 | DECOMP_INLINE, 0x067E},
-	{0xFB5A, 0, 1 | DECOMP_INLINE, 0x0680},
-	{0xFB5B, 0, 1 | DECOMP_INLINE, 0x0680},
-	{0xFB5C, 0, 1 | DECOMP_INLINE, 0x0680},
-	{0xFB5D, 0, 1 | DECOMP_INLINE, 0x0680},
-	{0xFB5E, 0, 1 | DECOMP_INLINE, 0x067A},
-	{0xFB5F, 0, 1 | DECOMP_INLINE, 0x067A},
-	{0xFB60, 0, 1 | DECOMP_INLINE, 0x067A},
-	{0xFB61, 0, 1 | DECOMP_INLINE, 0x067A},
-	{0xFB62, 0, 1 | DECOMP_INLINE, 0x067F},
-	{0xFB63, 0, 1 | DECOMP_INLINE, 0x067F},
-	{0xFB64, 0, 1 | DECOMP_INLINE, 0x067F},
-	{0xFB65, 0, 1 | DECOMP_INLINE, 0x067F},
-	{0xFB66, 0, 1 | DECOMP_INLINE, 0x0679},
-	{0xFB67, 0, 1 | DECOMP_INLINE, 0x0679},
-	{0xFB68, 0, 1 | DECOMP_INLINE, 0x0679},
-	{0xFB69, 0, 1 | DECOMP_INLINE, 0x0679},
-	{0xFB6A, 0, 1 | DECOMP_INLINE, 0x06A4},
-	{0xFB6B, 0, 1 | DECOMP_INLINE, 0x06A4},
-	{0xFB6C, 0, 1 | DECOMP_INLINE, 0x06A4},
-	{0xFB6D, 0, 1 | DECOMP_INLINE, 0x06A4},
-	{0xFB6E, 0, 1 | DECOMP_INLINE, 0x06A6},
-	{0xFB6F, 0, 1 | DECOMP_INLINE, 0x06A6},
-	{0xFB70, 0, 1 | DECOMP_INLINE, 0x06A6},
-	{0xFB71, 0, 1 | DECOMP_INLINE, 0x06A6},
-	{0xFB72, 0, 1 | DECOMP_INLINE, 0x0684},
-	{0xFB73, 0, 1 | DECOMP_INLINE, 0x0684},
-	{0xFB74, 0, 1 | DECOMP_INLINE, 0x0684},
-	{0xFB75, 0, 1 | DECOMP_INLINE, 0x0684},
-	{0xFB76, 0, 1 | DECOMP_INLINE, 0x0683},
-	{0xFB77, 0, 1 | DECOMP_INLINE, 0x0683},
-	{0xFB78, 0, 1 | DECOMP_INLINE, 0x0683},
-	{0xFB79, 0, 1 | DECOMP_INLINE, 0x0683},
-	{0xFB7A, 0, 1 | DECOMP_INLINE, 0x0686},
-	{0xFB7B, 0, 1 | DECOMP_INLINE, 0x0686},
-	{0xFB7C, 0, 1 | DECOMP_INLINE, 0x0686},
-	{0xFB7D, 0, 1 | DECOMP_INLINE, 0x0686},
-	{0xFB7E, 0, 1 | DECOMP_INLINE, 0x0687},
-	{0xFB7F, 0, 1 | DECOMP_INLINE, 0x0687},
-	{0xFB80, 0, 1 | DECOMP_INLINE, 0x0687},
-	{0xFB81, 0, 1 | DECOMP_INLINE, 0x0687},
-	{0xFB82, 0, 1 | DECOMP_INLINE, 0x068D},
-	{0xFB83, 0, 1 | DECOMP_INLINE, 0x068D},
-	{0xFB84, 0, 1 | DECOMP_INLINE, 0x068C},
-	{0xFB85, 0, 1 | DECOMP_INLINE, 0x068C},
-	{0xFB86, 0, 1 | DECOMP_INLINE, 0x068E},
-	{0xFB87, 0, 1 | DECOMP_INLINE, 0x068E},
-	{0xFB88, 0, 1 | DECOMP_INLINE, 0x0688},
-	{0xFB89, 0, 1 | DECOMP_INLINE, 0x0688},
-	{0xFB8A, 0, 1 | DECOMP_INLINE, 0x0698},
-	{0xFB8B, 0, 1 | DECOMP_INLINE, 0x0698},
-	{0xFB8C, 0, 1 | DECOMP_INLINE, 0x0691},
-	{0xFB8D, 0, 1 | DECOMP_INLINE, 0x0691},
-	{0xFB8E, 0, 1 | DECOMP_INLINE, 0x06A9},
-	{0xFB8F, 0, 1 | DECOMP_INLINE, 0x06A9},
-	{0xFB90, 0, 1 | DECOMP_INLINE, 0x06A9},
-	{0xFB91, 0, 1 | DECOMP_INLINE, 0x06A9},
-	{0xFB92, 0, 1 | DECOMP_INLINE, 0x06AF},
-	{0xFB93, 0, 1 | DECOMP_INLINE, 0x06AF},
-	{0xFB94, 0, 1 | DECOMP_INLINE, 0x06AF},
-	{0xFB95, 0, 1 | DECOMP_INLINE, 0x06AF},
-	{0xFB96, 0, 1 | DECOMP_INLINE, 0x06B3},
-	{0xFB97, 0, 1 | DECOMP_INLINE, 0x06B3},
-	{0xFB98, 0, 1 | DECOMP_INLINE, 0x06B3},
-	{0xFB99, 0, 1 | DECOMP_INLINE, 0x06B3},
-	{0xFB9A, 0, 1 | DECOMP_INLINE, 0x06B1},
-	{0xFB9B, 0, 1 | DECOMP_INLINE, 0x06B1},
-	{0xFB9C, 0, 1 | DECOMP_INLINE, 0x06B1},
-	{0xFB9D, 0, 1 | DECOMP_INLINE, 0x06B1},
-	{0xFB9E, 0, 1 | DECOMP_INLINE, 0x06BA},
-	{0xFB9F, 0, 1 | DECOMP_INLINE, 0x06BA},
-	{0xFBA0, 0, 1 | DECOMP_INLINE, 0x06BB},
-	{0xFBA1, 0, 1 | DECOMP_INLINE, 0x06BB},
-	{0xFBA2, 0, 1 | DECOMP_INLINE, 0x06BB},
-	{0xFBA3, 0, 1 | DECOMP_INLINE, 0x06BB},
-	{0xFBA4, 0, 1 | DECOMP_INLINE, 0x06C0},
-	{0xFBA5, 0, 1 | DECOMP_INLINE, 0x06C0},
-	{0xFBA6, 0, 1 | DECOMP_INLINE, 0x06C1},
-	{0xFBA7, 0, 1 | DECOMP_INLINE, 0x06C1},
-	{0xFBA8, 0, 1 | DECOMP_INLINE, 0x06C1},
-	{0xFBA9, 0, 1 | DECOMP_INLINE, 0x06C1},
-	{0xFBAA, 0, 1 | DECOMP_INLINE, 0x06BE},
-	{0xFBAB, 0, 1 | DECOMP_INLINE, 0x06BE},
-	{0xFBAC, 0, 1 | DECOMP_INLINE, 0x06BE},
-	{0xFBAD, 0, 1 | DECOMP_INLINE, 0x06BE},
-	{0xFBAE, 0, 1 | DECOMP_INLINE, 0x06D2},
-	{0xFBAF, 0, 1 | DECOMP_INLINE, 0x06D2},
-	{0xFBB0, 0, 1 | DECOMP_INLINE, 0x06D3},
-	{0xFBB1, 0, 1 | DECOMP_INLINE, 0x06D3},
-	{0xFBD3, 0, 1 | DECOMP_INLINE, 0x06AD},
-	{0xFBD4, 0, 1 | DECOMP_INLINE, 0x06AD},
-	{0xFBD5, 0, 1 | DECOMP_INLINE, 0x06AD},
-	{0xFBD6, 0, 1 | DECOMP_INLINE, 0x06AD},
-	{0xFBD7, 0, 1 | DECOMP_INLINE, 0x06C7},
-	{0xFBD8, 0, 1 | DECOMP_INLINE, 0x06C7},
-	{0xFBD9, 0, 1 | DECOMP_INLINE, 0x06C6},
-	{0xFBDA, 0, 1 | DECOMP_INLINE, 0x06C6},
-	{0xFBDB, 0, 1 | DECOMP_INLINE, 0x06C8},
-	{0xFBDC, 0, 1 | DECOMP_INLINE, 0x06C8},
-	{0xFBDD, 0, 1 | DECOMP_INLINE, 0x0677},
-	{0xFBDE, 0, 1 | DECOMP_INLINE, 0x06CB},
-	{0xFBDF, 0, 1 | DECOMP_INLINE, 0x06CB},
-	{0xFBE0, 0, 1 | DECOMP_INLINE, 0x06C5},
-	{0xFBE1, 0, 1 | DECOMP_INLINE, 0x06C5},
-	{0xFBE2, 0, 1 | DECOMP_INLINE, 0x06C9},
-	{0xFBE3, 0, 1 | DECOMP_INLINE, 0x06C9},
-	{0xFBE4, 0, 1 | DECOMP_INLINE, 0x06D0},
-	{0xFBE5, 0, 1 | DECOMP_INLINE, 0x06D0},
-	{0xFBE6, 0, 1 | DECOMP_INLINE, 0x06D0},
-	{0xFBE7, 0, 1 | DECOMP_INLINE, 0x06D0},
-	{0xFBE8, 0, 1 | DECOMP_INLINE, 0x0649},
-	{0xFBE9, 0, 1 | DECOMP_INLINE, 0x0649},
-	{0xFBEA, 0, 2 | DECOMP_NO_COMPOSE, 3630},	/* compatibility mapping */
-	{0xFBEB, 0, 2 | DECOMP_NO_COMPOSE, 3632},	/* compatibility mapping */
-	{0xFBEC, 0, 2 | DECOMP_NO_COMPOSE, 3634},	/* compatibility mapping */
-	{0xFBED, 0, 2 | DECOMP_NO_COMPOSE, 3636},	/* compatibility mapping */
-	{0xFBEE, 0, 2 | DECOMP_NO_COMPOSE, 3638},	/* compatibility mapping */
-	{0xFBEF, 0, 2 | DECOMP_NO_COMPOSE, 3640},	/* compatibility mapping */
-	{0xFBF0, 0, 2 | DECOMP_NO_COMPOSE, 3642},	/* compatibility mapping */
-	{0xFBF1, 0, 2 | DECOMP_NO_COMPOSE, 3644},	/* compatibility mapping */
-	{0xFBF2, 0, 2 | DECOMP_NO_COMPOSE, 3646},	/* compatibility mapping */
-	{0xFBF3, 0, 2 | DECOMP_NO_COMPOSE, 3648},	/* compatibility mapping */
-	{0xFBF4, 0, 2 | DECOMP_NO_COMPOSE, 3650},	/* compatibility mapping */
-	{0xFBF5, 0, 2 | DECOMP_NO_COMPOSE, 3652},	/* compatibility mapping */
-	{0xFBF6, 0, 2 | DECOMP_NO_COMPOSE, 3654},	/* compatibility mapping */
-	{0xFBF7, 0, 2 | DECOMP_NO_COMPOSE, 3656},	/* compatibility mapping */
-	{0xFBF8, 0, 2 | DECOMP_NO_COMPOSE, 3658},	/* compatibility mapping */
-	{0xFBF9, 0, 2 | DECOMP_NO_COMPOSE, 3660},	/* compatibility mapping */
-	{0xFBFA, 0, 2 | DECOMP_NO_COMPOSE, 3662},	/* compatibility mapping */
-	{0xFBFB, 0, 2 | DECOMP_NO_COMPOSE, 3664},	/* compatibility mapping */
-	{0xFBFC, 0, 1 | DECOMP_INLINE, 0x06CC},
-	{0xFBFD, 0, 1 | DECOMP_INLINE, 0x06CC},
-	{0xFBFE, 0, 1 | DECOMP_INLINE, 0x06CC},
-	{0xFBFF, 0, 1 | DECOMP_INLINE, 0x06CC},
-	{0xFC00, 0, 2 | DECOMP_NO_COMPOSE, 3666},	/* compatibility mapping */
-	{0xFC01, 0, 2 | DECOMP_NO_COMPOSE, 3668},	/* compatibility mapping */
-	{0xFC02, 0, 2 | DECOMP_NO_COMPOSE, 3670},	/* compatibility mapping */
-	{0xFC03, 0, 2 | DECOMP_NO_COMPOSE, 3672},	/* compatibility mapping */
-	{0xFC04, 0, 2 | DECOMP_NO_COMPOSE, 3674},	/* compatibility mapping */
-	{0xFC05, 0, 2 | DECOMP_NO_COMPOSE, 3676},	/* compatibility mapping */
-	{0xFC06, 0, 2 | DECOMP_NO_COMPOSE, 3678},	/* compatibility mapping */
-	{0xFC07, 0, 2 | DECOMP_NO_COMPOSE, 3680},	/* compatibility mapping */
-	{0xFC08, 0, 2 | DECOMP_NO_COMPOSE, 3682},	/* compatibility mapping */
-	{0xFC09, 0, 2 | DECOMP_NO_COMPOSE, 3684},	/* compatibility mapping */
-	{0xFC0A, 0, 2 | DECOMP_NO_COMPOSE, 3686},	/* compatibility mapping */
-	{0xFC0B, 0, 2 | DECOMP_NO_COMPOSE, 3688},	/* compatibility mapping */
-	{0xFC0C, 0, 2 | DECOMP_NO_COMPOSE, 3690},	/* compatibility mapping */
-	{0xFC0D, 0, 2 | DECOMP_NO_COMPOSE, 3692},	/* compatibility mapping */
-	{0xFC0E, 0, 2 | DECOMP_NO_COMPOSE, 3694},	/* compatibility mapping */
-	{0xFC0F, 0, 2 | DECOMP_NO_COMPOSE, 3696},	/* compatibility mapping */
-	{0xFC10, 0, 2 | DECOMP_NO_COMPOSE, 3698},	/* compatibility mapping */
-	{0xFC11, 0, 2 | DECOMP_NO_COMPOSE, 3700},	/* compatibility mapping */
-	{0xFC12, 0, 2 | DECOMP_NO_COMPOSE, 3702},	/* compatibility mapping */
-	{0xFC13, 0, 2 | DECOMP_NO_COMPOSE, 3704},	/* compatibility mapping */
-	{0xFC14, 0, 2 | DECOMP_NO_COMPOSE, 3706},	/* compatibility mapping */
-	{0xFC15, 0, 2 | DECOMP_NO_COMPOSE, 3708},	/* compatibility mapping */
-	{0xFC16, 0, 2 | DECOMP_NO_COMPOSE, 3710},	/* compatibility mapping */
-	{0xFC17, 0, 2 | DECOMP_NO_COMPOSE, 3712},	/* compatibility mapping */
-	{0xFC18, 0, 2 | DECOMP_NO_COMPOSE, 3714},	/* compatibility mapping */
-	{0xFC19, 0, 2 | DECOMP_NO_COMPOSE, 3716},	/* compatibility mapping */
-	{0xFC1A, 0, 2 | DECOMP_NO_COMPOSE, 3718},	/* compatibility mapping */
-	{0xFC1B, 0, 2 | DECOMP_NO_COMPOSE, 3720},	/* compatibility mapping */
-	{0xFC1C, 0, 2 | DECOMP_NO_COMPOSE, 3722},	/* compatibility mapping */
-	{0xFC1D, 0, 2 | DECOMP_NO_COMPOSE, 3724},	/* compatibility mapping */
-	{0xFC1E, 0, 2 | DECOMP_NO_COMPOSE, 3726},	/* compatibility mapping */
-	{0xFC1F, 0, 2 | DECOMP_NO_COMPOSE, 3728},	/* compatibility mapping */
-	{0xFC20, 0, 2 | DECOMP_NO_COMPOSE, 3730},	/* compatibility mapping */
-	{0xFC21, 0, 2 | DECOMP_NO_COMPOSE, 3732},	/* compatibility mapping */
-	{0xFC22, 0, 2 | DECOMP_NO_COMPOSE, 3734},	/* compatibility mapping */
-	{0xFC23, 0, 2 | DECOMP_NO_COMPOSE, 3736},	/* compatibility mapping */
-	{0xFC24, 0, 2 | DECOMP_NO_COMPOSE, 3738},	/* compatibility mapping */
-	{0xFC25, 0, 2 | DECOMP_NO_COMPOSE, 3740},	/* compatibility mapping */
-	{0xFC26, 0, 2 | DECOMP_NO_COMPOSE, 3742},	/* compatibility mapping */
-	{0xFC27, 0, 2 | DECOMP_NO_COMPOSE, 3744},	/* compatibility mapping */
-	{0xFC28, 0, 2 | DECOMP_NO_COMPOSE, 3746},	/* compatibility mapping */
-	{0xFC29, 0, 2 | DECOMP_NO_COMPOSE, 3748},	/* compatibility mapping */
-	{0xFC2A, 0, 2 | DECOMP_NO_COMPOSE, 3750},	/* compatibility mapping */
-	{0xFC2B, 0, 2 | DECOMP_NO_COMPOSE, 3752},	/* compatibility mapping */
-	{0xFC2C, 0, 2 | DECOMP_NO_COMPOSE, 3754},	/* compatibility mapping */
-	{0xFC2D, 0, 2 | DECOMP_NO_COMPOSE, 3756},	/* compatibility mapping */
-	{0xFC2E, 0, 2 | DECOMP_NO_COMPOSE, 3758},	/* compatibility mapping */
-	{0xFC2F, 0, 2 | DECOMP_NO_COMPOSE, 3760},	/* compatibility mapping */
-	{0xFC30, 0, 2 | DECOMP_NO_COMPOSE, 3762},	/* compatibility mapping */
-	{0xFC31, 0, 2 | DECOMP_NO_COMPOSE, 3764},	/* compatibility mapping */
-	{0xFC32, 0, 2 | DECOMP_NO_COMPOSE, 3766},	/* compatibility mapping */
-	{0xFC33, 0, 2 | DECOMP_NO_COMPOSE, 3768},	/* compatibility mapping */
-	{0xFC34, 0, 2 | DECOMP_NO_COMPOSE, 3770},	/* compatibility mapping */
-	{0xFC35, 0, 2 | DECOMP_NO_COMPOSE, 3772},	/* compatibility mapping */
-	{0xFC36, 0, 2 | DECOMP_NO_COMPOSE, 3774},	/* compatibility mapping */
-	{0xFC37, 0, 2 | DECOMP_NO_COMPOSE, 3776},	/* compatibility mapping */
-	{0xFC38, 0, 2 | DECOMP_NO_COMPOSE, 3778},	/* compatibility mapping */
-	{0xFC39, 0, 2 | DECOMP_NO_COMPOSE, 3780},	/* compatibility mapping */
-	{0xFC3A, 0, 2 | DECOMP_NO_COMPOSE, 3782},	/* compatibility mapping */
-	{0xFC3B, 0, 2 | DECOMP_NO_COMPOSE, 3784},	/* compatibility mapping */
-	{0xFC3C, 0, 2 | DECOMP_NO_COMPOSE, 3786},	/* compatibility mapping */
-	{0xFC3D, 0, 2 | DECOMP_NO_COMPOSE, 3788},	/* compatibility mapping */
-	{0xFC3E, 0, 2 | DECOMP_NO_COMPOSE, 3790},	/* compatibility mapping */
-	{0xFC3F, 0, 2 | DECOMP_NO_COMPOSE, 3792},	/* compatibility mapping */
-	{0xFC40, 0, 2 | DECOMP_NO_COMPOSE, 3794},	/* compatibility mapping */
-	{0xFC41, 0, 2 | DECOMP_NO_COMPOSE, 3796},	/* compatibility mapping */
-	{0xFC42, 0, 2 | DECOMP_NO_COMPOSE, 3798},	/* compatibility mapping */
-	{0xFC43, 0, 2 | DECOMP_NO_COMPOSE, 3800},	/* compatibility mapping */
-	{0xFC44, 0, 2 | DECOMP_NO_COMPOSE, 3802},	/* compatibility mapping */
-	{0xFC45, 0, 2 | DECOMP_NO_COMPOSE, 3804},	/* compatibility mapping */
-	{0xFC46, 0, 2 | DECOMP_NO_COMPOSE, 3806},	/* compatibility mapping */
-	{0xFC47, 0, 2 | DECOMP_NO_COMPOSE, 3808},	/* compatibility mapping */
-	{0xFC48, 0, 2 | DECOMP_NO_COMPOSE, 3810},	/* compatibility mapping */
-	{0xFC49, 0, 2 | DECOMP_NO_COMPOSE, 3812},	/* compatibility mapping */
-	{0xFC4A, 0, 2 | DECOMP_NO_COMPOSE, 3814},	/* compatibility mapping */
-	{0xFC4B, 0, 2 | DECOMP_NO_COMPOSE, 3816},	/* compatibility mapping */
-	{0xFC4C, 0, 2 | DECOMP_NO_COMPOSE, 3818},	/* compatibility mapping */
-	{0xFC4D, 0, 2 | DECOMP_NO_COMPOSE, 3820},	/* compatibility mapping */
-	{0xFC4E, 0, 2 | DECOMP_NO_COMPOSE, 3822},	/* compatibility mapping */
-	{0xFC4F, 0, 2 | DECOMP_NO_COMPOSE, 3824},	/* compatibility mapping */
-	{0xFC50, 0, 2 | DECOMP_NO_COMPOSE, 3826},	/* compatibility mapping */
-	{0xFC51, 0, 2 | DECOMP_NO_COMPOSE, 3828},	/* compatibility mapping */
-	{0xFC52, 0, 2 | DECOMP_NO_COMPOSE, 3830},	/* compatibility mapping */
-	{0xFC53, 0, 2 | DECOMP_NO_COMPOSE, 3832},	/* compatibility mapping */
-	{0xFC54, 0, 2 | DECOMP_NO_COMPOSE, 3834},	/* compatibility mapping */
-	{0xFC55, 0, 2 | DECOMP_NO_COMPOSE, 3836},	/* compatibility mapping */
-	{0xFC56, 0, 2 | DECOMP_NO_COMPOSE, 3838},	/* compatibility mapping */
-	{0xFC57, 0, 2 | DECOMP_NO_COMPOSE, 3840},	/* compatibility mapping */
-	{0xFC58, 0, 2 | DECOMP_NO_COMPOSE, 3842},	/* compatibility mapping */
-	{0xFC59, 0, 2 | DECOMP_NO_COMPOSE, 3844},	/* compatibility mapping */
-	{0xFC5A, 0, 2 | DECOMP_NO_COMPOSE, 3846},	/* compatibility mapping */
-	{0xFC5B, 0, 2 | DECOMP_NO_COMPOSE, 3848},	/* compatibility mapping */
-	{0xFC5C, 0, 2 | DECOMP_NO_COMPOSE, 3850},	/* compatibility mapping */
-	{0xFC5D, 0, 2 | DECOMP_NO_COMPOSE, 3852},	/* compatibility mapping */
-	{0xFC5E, 0, 3, 3854},
-	{0xFC5F, 0, 3, 3857},
-	{0xFC60, 0, 3, 3860},
-	{0xFC61, 0, 3, 3863},
-	{0xFC62, 0, 3, 3866},
-	{0xFC63, 0, 3, 3869},
-	{0xFC64, 0, 2 | DECOMP_NO_COMPOSE, 3872},	/* compatibility mapping */
-	{0xFC65, 0, 2 | DECOMP_NO_COMPOSE, 3874},	/* compatibility mapping */
-	{0xFC66, 0, 2 | DECOMP_NO_COMPOSE, 3876},	/* compatibility mapping */
-	{0xFC67, 0, 2 | DECOMP_NO_COMPOSE, 3878},	/* compatibility mapping */
-	{0xFC68, 0, 2 | DECOMP_NO_COMPOSE, 3880},	/* compatibility mapping */
-	{0xFC69, 0, 2 | DECOMP_NO_COMPOSE, 3882},	/* compatibility mapping */
-	{0xFC6A, 0, 2 | DECOMP_NO_COMPOSE, 3884},	/* compatibility mapping */
-	{0xFC6B, 0, 2 | DECOMP_NO_COMPOSE, 3886},	/* compatibility mapping */
-	{0xFC6C, 0, 2 | DECOMP_NO_COMPOSE, 3888},	/* compatibility mapping */
-	{0xFC6D, 0, 2 | DECOMP_NO_COMPOSE, 3890},	/* compatibility mapping */
-	{0xFC6E, 0, 2 | DECOMP_NO_COMPOSE, 3892},	/* compatibility mapping */
-	{0xFC6F, 0, 2 | DECOMP_NO_COMPOSE, 3894},	/* compatibility mapping */
-	{0xFC70, 0, 2 | DECOMP_NO_COMPOSE, 3896},	/* compatibility mapping */
-	{0xFC71, 0, 2 | DECOMP_NO_COMPOSE, 3898},	/* compatibility mapping */
-	{0xFC72, 0, 2 | DECOMP_NO_COMPOSE, 3900},	/* compatibility mapping */
-	{0xFC73, 0, 2 | DECOMP_NO_COMPOSE, 3902},	/* compatibility mapping */
-	{0xFC74, 0, 2 | DECOMP_NO_COMPOSE, 3904},	/* compatibility mapping */
-	{0xFC75, 0, 2 | DECOMP_NO_COMPOSE, 3906},	/* compatibility mapping */
-	{0xFC76, 0, 2 | DECOMP_NO_COMPOSE, 3908},	/* compatibility mapping */
-	{0xFC77, 0, 2 | DECOMP_NO_COMPOSE, 3910},	/* compatibility mapping */
-	{0xFC78, 0, 2 | DECOMP_NO_COMPOSE, 3912},	/* compatibility mapping */
-	{0xFC79, 0, 2 | DECOMP_NO_COMPOSE, 3914},	/* compatibility mapping */
-	{0xFC7A, 0, 2 | DECOMP_NO_COMPOSE, 3916},	/* compatibility mapping */
-	{0xFC7B, 0, 2 | DECOMP_NO_COMPOSE, 3918},	/* compatibility mapping */
-	{0xFC7C, 0, 2 | DECOMP_NO_COMPOSE, 3920},	/* compatibility mapping */
-	{0xFC7D, 0, 2 | DECOMP_NO_COMPOSE, 3922},	/* compatibility mapping */
-	{0xFC7E, 0, 2 | DECOMP_NO_COMPOSE, 3924},	/* compatibility mapping */
-	{0xFC7F, 0, 2 | DECOMP_NO_COMPOSE, 3926},	/* compatibility mapping */
-	{0xFC80, 0, 2 | DECOMP_NO_COMPOSE, 3928},	/* compatibility mapping */
-	{0xFC81, 0, 2 | DECOMP_NO_COMPOSE, 3930},	/* compatibility mapping */
-	{0xFC82, 0, 2 | DECOMP_NO_COMPOSE, 3932},	/* compatibility mapping */
-	{0xFC83, 0, 2 | DECOMP_NO_COMPOSE, 3934},	/* compatibility mapping */
-	{0xFC84, 0, 2 | DECOMP_NO_COMPOSE, 3936},	/* compatibility mapping */
-	{0xFC85, 0, 2 | DECOMP_NO_COMPOSE, 3938},	/* compatibility mapping */
-	{0xFC86, 0, 2 | DECOMP_NO_COMPOSE, 3940},	/* compatibility mapping */
-	{0xFC87, 0, 2 | DECOMP_NO_COMPOSE, 3942},	/* compatibility mapping */
-	{0xFC88, 0, 2 | DECOMP_NO_COMPOSE, 3944},	/* compatibility mapping */
-	{0xFC89, 0, 2 | DECOMP_NO_COMPOSE, 3946},	/* compatibility mapping */
-	{0xFC8A, 0, 2 | DECOMP_NO_COMPOSE, 3948},	/* compatibility mapping */
-	{0xFC8B, 0, 2 | DECOMP_NO_COMPOSE, 3950},	/* compatibility mapping */
-	{0xFC8C, 0, 2 | DECOMP_NO_COMPOSE, 3952},	/* compatibility mapping */
-	{0xFC8D, 0, 2 | DECOMP_NO_COMPOSE, 3954},	/* compatibility mapping */
-	{0xFC8E, 0, 2 | DECOMP_NO_COMPOSE, 3956},	/* compatibility mapping */
-	{0xFC8F, 0, 2 | DECOMP_NO_COMPOSE, 3958},	/* compatibility mapping */
-	{0xFC90, 0, 2 | DECOMP_NO_COMPOSE, 3960},	/* compatibility mapping */
-	{0xFC91, 0, 2 | DECOMP_NO_COMPOSE, 3962},	/* compatibility mapping */
-	{0xFC92, 0, 2 | DECOMP_NO_COMPOSE, 3964},	/* compatibility mapping */
-	{0xFC93, 0, 2 | DECOMP_NO_COMPOSE, 3966},	/* compatibility mapping */
-	{0xFC94, 0, 2 | DECOMP_NO_COMPOSE, 3968},	/* compatibility mapping */
-	{0xFC95, 0, 2 | DECOMP_NO_COMPOSE, 3970},	/* compatibility mapping */
-	{0xFC96, 0, 2 | DECOMP_NO_COMPOSE, 3972},	/* compatibility mapping */
-	{0xFC97, 0, 2 | DECOMP_NO_COMPOSE, 3974},	/* compatibility mapping */
-	{0xFC98, 0, 2 | DECOMP_NO_COMPOSE, 3976},	/* compatibility mapping */
-	{0xFC99, 0, 2 | DECOMP_NO_COMPOSE, 3978},	/* compatibility mapping */
-	{0xFC9A, 0, 2 | DECOMP_NO_COMPOSE, 3980},	/* compatibility mapping */
-	{0xFC9B, 0, 2 | DECOMP_NO_COMPOSE, 3982},	/* compatibility mapping */
-	{0xFC9C, 0, 2 | DECOMP_NO_COMPOSE, 3984},	/* compatibility mapping */
-	{0xFC9D, 0, 2 | DECOMP_NO_COMPOSE, 3986},	/* compatibility mapping */
-	{0xFC9E, 0, 2 | DECOMP_NO_COMPOSE, 3988},	/* compatibility mapping */
-	{0xFC9F, 0, 2 | DECOMP_NO_COMPOSE, 3990},	/* compatibility mapping */
-	{0xFCA0, 0, 2 | DECOMP_NO_COMPOSE, 3992},	/* compatibility mapping */
-	{0xFCA1, 0, 2 | DECOMP_NO_COMPOSE, 3994},	/* compatibility mapping */
-	{0xFCA2, 0, 2 | DECOMP_NO_COMPOSE, 3996},	/* compatibility mapping */
-	{0xFCA3, 0, 2 | DECOMP_NO_COMPOSE, 3998},	/* compatibility mapping */
-	{0xFCA4, 0, 2 | DECOMP_NO_COMPOSE, 4000},	/* compatibility mapping */
-	{0xFCA5, 0, 2 | DECOMP_NO_COMPOSE, 4002},	/* compatibility mapping */
-	{0xFCA6, 0, 2 | DECOMP_NO_COMPOSE, 4004},	/* compatibility mapping */
-	{0xFCA7, 0, 2 | DECOMP_NO_COMPOSE, 4006},	/* compatibility mapping */
-	{0xFCA8, 0, 2 | DECOMP_NO_COMPOSE, 4008},	/* compatibility mapping */
-	{0xFCA9, 0, 2 | DECOMP_NO_COMPOSE, 4010},	/* compatibility mapping */
-	{0xFCAA, 0, 2 | DECOMP_NO_COMPOSE, 4012},	/* compatibility mapping */
-	{0xFCAB, 0, 2 | DECOMP_NO_COMPOSE, 4014},	/* compatibility mapping */
-	{0xFCAC, 0, 2 | DECOMP_NO_COMPOSE, 4016},	/* compatibility mapping */
-	{0xFCAD, 0, 2 | DECOMP_NO_COMPOSE, 4018},	/* compatibility mapping */
-	{0xFCAE, 0, 2 | DECOMP_NO_COMPOSE, 4020},	/* compatibility mapping */
-	{0xFCAF, 0, 2 | DECOMP_NO_COMPOSE, 4022},	/* compatibility mapping */
-	{0xFCB0, 0, 2 | DECOMP_NO_COMPOSE, 4024},	/* compatibility mapping */
-	{0xFCB1, 0, 2 | DECOMP_NO_COMPOSE, 4026},	/* compatibility mapping */
-	{0xFCB2, 0, 2 | DECOMP_NO_COMPOSE, 4028},	/* compatibility mapping */
-	{0xFCB3, 0, 2 | DECOMP_NO_COMPOSE, 4030},	/* compatibility mapping */
-	{0xFCB4, 0, 2 | DECOMP_NO_COMPOSE, 4032},	/* compatibility mapping */
-	{0xFCB5, 0, 2 | DECOMP_NO_COMPOSE, 4034},	/* compatibility mapping */
-	{0xFCB6, 0, 2 | DECOMP_NO_COMPOSE, 4036},	/* compatibility mapping */
-	{0xFCB7, 0, 2 | DECOMP_NO_COMPOSE, 4038},	/* compatibility mapping */
-	{0xFCB8, 0, 2 | DECOMP_NO_COMPOSE, 4040},	/* compatibility mapping */
-	{0xFCB9, 0, 2 | DECOMP_NO_COMPOSE, 4042},	/* compatibility mapping */
-	{0xFCBA, 0, 2 | DECOMP_NO_COMPOSE, 4044},	/* compatibility mapping */
-	{0xFCBB, 0, 2 | DECOMP_NO_COMPOSE, 4046},	/* compatibility mapping */
-	{0xFCBC, 0, 2 | DECOMP_NO_COMPOSE, 4048},	/* compatibility mapping */
-	{0xFCBD, 0, 2 | DECOMP_NO_COMPOSE, 4050},	/* compatibility mapping */
-	{0xFCBE, 0, 2 | DECOMP_NO_COMPOSE, 4052},	/* compatibility mapping */
-	{0xFCBF, 0, 2 | DECOMP_NO_COMPOSE, 4054},	/* compatibility mapping */
-	{0xFCC0, 0, 2 | DECOMP_NO_COMPOSE, 4056},	/* compatibility mapping */
-	{0xFCC1, 0, 2 | DECOMP_NO_COMPOSE, 4058},	/* compatibility mapping */
-	{0xFCC2, 0, 2 | DECOMP_NO_COMPOSE, 4060},	/* compatibility mapping */
-	{0xFCC3, 0, 2 | DECOMP_NO_COMPOSE, 4062},	/* compatibility mapping */
-	{0xFCC4, 0, 2 | DECOMP_NO_COMPOSE, 4064},	/* compatibility mapping */
-	{0xFCC5, 0, 2 | DECOMP_NO_COMPOSE, 4066},	/* compatibility mapping */
-	{0xFCC6, 0, 2 | DECOMP_NO_COMPOSE, 4068},	/* compatibility mapping */
-	{0xFCC7, 0, 2 | DECOMP_NO_COMPOSE, 4070},	/* compatibility mapping */
-	{0xFCC8, 0, 2 | DECOMP_NO_COMPOSE, 4072},	/* compatibility mapping */
-	{0xFCC9, 0, 2 | DECOMP_NO_COMPOSE, 4074},	/* compatibility mapping */
-	{0xFCCA, 0, 2 | DECOMP_NO_COMPOSE, 4076},	/* compatibility mapping */
-	{0xFCCB, 0, 2 | DECOMP_NO_COMPOSE, 4078},	/* compatibility mapping */
-	{0xFCCC, 0, 2 | DECOMP_NO_COMPOSE, 4080},	/* compatibility mapping */
-	{0xFCCD, 0, 2 | DECOMP_NO_COMPOSE, 4082},	/* compatibility mapping */
-	{0xFCCE, 0, 2 | DECOMP_NO_COMPOSE, 4084},	/* compatibility mapping */
-	{0xFCCF, 0, 2 | DECOMP_NO_COMPOSE, 4086},	/* compatibility mapping */
-	{0xFCD0, 0, 2 | DECOMP_NO_COMPOSE, 4088},	/* compatibility mapping */
-	{0xFCD1, 0, 2 | DECOMP_NO_COMPOSE, 4090},	/* compatibility mapping */
-	{0xFCD2, 0, 2 | DECOMP_NO_COMPOSE, 4092},	/* compatibility mapping */
-	{0xFCD3, 0, 2 | DECOMP_NO_COMPOSE, 4094},	/* compatibility mapping */
-	{0xFCD4, 0, 2 | DECOMP_NO_COMPOSE, 4096},	/* compatibility mapping */
-	{0xFCD5, 0, 2 | DECOMP_NO_COMPOSE, 4098},	/* compatibility mapping */
-	{0xFCD6, 0, 2 | DECOMP_NO_COMPOSE, 4100},	/* compatibility mapping */
-	{0xFCD7, 0, 2 | DECOMP_NO_COMPOSE, 4102},	/* compatibility mapping */
-	{0xFCD8, 0, 2 | DECOMP_NO_COMPOSE, 4104},	/* compatibility mapping */
-	{0xFCD9, 0, 2 | DECOMP_NO_COMPOSE, 4106},	/* compatibility mapping */
-	{0xFCDA, 0, 2 | DECOMP_NO_COMPOSE, 4108},	/* compatibility mapping */
-	{0xFCDB, 0, 2 | DECOMP_NO_COMPOSE, 4110},	/* compatibility mapping */
-	{0xFCDC, 0, 2 | DECOMP_NO_COMPOSE, 4112},	/* compatibility mapping */
-	{0xFCDD, 0, 2 | DECOMP_NO_COMPOSE, 4114},	/* compatibility mapping */
-	{0xFCDE, 0, 2 | DECOMP_NO_COMPOSE, 4116},	/* compatibility mapping */
-	{0xFCDF, 0, 2 | DECOMP_NO_COMPOSE, 4118},	/* compatibility mapping */
-	{0xFCE0, 0, 2 | DECOMP_NO_COMPOSE, 4120},	/* compatibility mapping */
-	{0xFCE1, 0, 2 | DECOMP_NO_COMPOSE, 4122},	/* compatibility mapping */
-	{0xFCE2, 0, 2 | DECOMP_NO_COMPOSE, 4124},	/* compatibility mapping */
-	{0xFCE3, 0, 2 | DECOMP_NO_COMPOSE, 4126},	/* compatibility mapping */
-	{0xFCE4, 0, 2 | DECOMP_NO_COMPOSE, 4128},	/* compatibility mapping */
-	{0xFCE5, 0, 2 | DECOMP_NO_COMPOSE, 4130},	/* compatibility mapping */
-	{0xFCE6, 0, 2 | DECOMP_NO_COMPOSE, 4132},	/* compatibility mapping */
-	{0xFCE7, 0, 2 | DECOMP_NO_COMPOSE, 4134},	/* compatibility mapping */
-	{0xFCE8, 0, 2 | DECOMP_NO_COMPOSE, 4136},	/* compatibility mapping */
-	{0xFCE9, 0, 2 | DECOMP_NO_COMPOSE, 4138},	/* compatibility mapping */
-	{0xFCEA, 0, 2 | DECOMP_NO_COMPOSE, 4140},	/* compatibility mapping */
-	{0xFCEB, 0, 2 | DECOMP_NO_COMPOSE, 4142},	/* compatibility mapping */
-	{0xFCEC, 0, 2 | DECOMP_NO_COMPOSE, 4144},	/* compatibility mapping */
-	{0xFCED, 0, 2 | DECOMP_NO_COMPOSE, 4146},	/* compatibility mapping */
-	{0xFCEE, 0, 2 | DECOMP_NO_COMPOSE, 4148},	/* compatibility mapping */
-	{0xFCEF, 0, 2 | DECOMP_NO_COMPOSE, 4150},	/* compatibility mapping */
-	{0xFCF0, 0, 2 | DECOMP_NO_COMPOSE, 4152},	/* compatibility mapping */
-	{0xFCF1, 0, 2 | DECOMP_NO_COMPOSE, 4154},	/* compatibility mapping */
-	{0xFCF2, 0, 3, 4156},
-	{0xFCF3, 0, 3, 4159},
-	{0xFCF4, 0, 3, 4162},
-	{0xFCF5, 0, 2 | DECOMP_NO_COMPOSE, 4165},	/* compatibility mapping */
-	{0xFCF6, 0, 2 | DECOMP_NO_COMPOSE, 4167},	/* compatibility mapping */
-	{0xFCF7, 0, 2 | DECOMP_NO_COMPOSE, 4169},	/* compatibility mapping */
-	{0xFCF8, 0, 2 | DECOMP_NO_COMPOSE, 4171},	/* compatibility mapping */
-	{0xFCF9, 0, 2 | DECOMP_NO_COMPOSE, 4173},	/* compatibility mapping */
-	{0xFCFA, 0, 2 | DECOMP_NO_COMPOSE, 4175},	/* compatibility mapping */
-	{0xFCFB, 0, 2 | DECOMP_NO_COMPOSE, 4177},	/* compatibility mapping */
-	{0xFCFC, 0, 2 | DECOMP_NO_COMPOSE, 4179},	/* compatibility mapping */
-	{0xFCFD, 0, 2 | DECOMP_NO_COMPOSE, 4181},	/* compatibility mapping */
-	{0xFCFE, 0, 2 | DECOMP_NO_COMPOSE, 4183},	/* compatibility mapping */
-	{0xFCFF, 0, 2 | DECOMP_NO_COMPOSE, 4185},	/* compatibility mapping */
-	{0xFD00, 0, 2 | DECOMP_NO_COMPOSE, 4187},	/* compatibility mapping */
-	{0xFD01, 0, 2 | DECOMP_NO_COMPOSE, 4189},	/* compatibility mapping */
-	{0xFD02, 0, 2 | DECOMP_NO_COMPOSE, 4191},	/* compatibility mapping */
-	{0xFD03, 0, 2 | DECOMP_NO_COMPOSE, 4193},	/* compatibility mapping */
-	{0xFD04, 0, 2 | DECOMP_NO_COMPOSE, 4195},	/* compatibility mapping */
-	{0xFD05, 0, 2 | DECOMP_NO_COMPOSE, 4197},	/* compatibility mapping */
-	{0xFD06, 0, 2 | DECOMP_NO_COMPOSE, 4199},	/* compatibility mapping */
-	{0xFD07, 0, 2 | DECOMP_NO_COMPOSE, 4201},	/* compatibility mapping */
-	{0xFD08, 0, 2 | DECOMP_NO_COMPOSE, 4203},	/* compatibility mapping */
-	{0xFD09, 0, 2 | DECOMP_NO_COMPOSE, 4205},	/* compatibility mapping */
-	{0xFD0A, 0, 2 | DECOMP_NO_COMPOSE, 4207},	/* compatibility mapping */
-	{0xFD0B, 0, 2 | DECOMP_NO_COMPOSE, 4209},	/* compatibility mapping */
-	{0xFD0C, 0, 2 | DECOMP_NO_COMPOSE, 4211},	/* compatibility mapping */
-	{0xFD0D, 0, 2 | DECOMP_NO_COMPOSE, 4213},	/* compatibility mapping */
-	{0xFD0E, 0, 2 | DECOMP_NO_COMPOSE, 4215},	/* compatibility mapping */
-	{0xFD0F, 0, 2 | DECOMP_NO_COMPOSE, 4217},	/* compatibility mapping */
-	{0xFD10, 0, 2 | DECOMP_NO_COMPOSE, 4219},	/* compatibility mapping */
-	{0xFD11, 0, 2 | DECOMP_NO_COMPOSE, 4221},	/* compatibility mapping */
-	{0xFD12, 0, 2 | DECOMP_NO_COMPOSE, 4223},	/* compatibility mapping */
-	{0xFD13, 0, 2 | DECOMP_NO_COMPOSE, 4225},	/* compatibility mapping */
-	{0xFD14, 0, 2 | DECOMP_NO_COMPOSE, 4227},	/* compatibility mapping */
-	{0xFD15, 0, 2 | DECOMP_NO_COMPOSE, 4229},	/* compatibility mapping */
-	{0xFD16, 0, 2 | DECOMP_NO_COMPOSE, 4231},	/* compatibility mapping */
-	{0xFD17, 0, 2 | DECOMP_NO_COMPOSE, 4233},	/* compatibility mapping */
-	{0xFD18, 0, 2 | DECOMP_NO_COMPOSE, 4235},	/* compatibility mapping */
-	{0xFD19, 0, 2 | DECOMP_NO_COMPOSE, 4237},	/* compatibility mapping */
-	{0xFD1A, 0, 2 | DECOMP_NO_COMPOSE, 4239},	/* compatibility mapping */
-	{0xFD1B, 0, 2 | DECOMP_NO_COMPOSE, 4241},	/* compatibility mapping */
-	{0xFD1C, 0, 2 | DECOMP_NO_COMPOSE, 4243},	/* compatibility mapping */
-	{0xFD1D, 0, 2 | DECOMP_NO_COMPOSE, 4245},	/* compatibility mapping */
-	{0xFD1E, 0, 2 | DECOMP_NO_COMPOSE, 4247},	/* compatibility mapping */
-	{0xFD1F, 0, 2 | DECOMP_NO_COMPOSE, 4249},	/* compatibility mapping */
-	{0xFD20, 0, 2 | DECOMP_NO_COMPOSE, 4251},	/* compatibility mapping */
-	{0xFD21, 0, 2 | DECOMP_NO_COMPOSE, 4253},	/* compatibility mapping */
-	{0xFD22, 0, 2 | DECOMP_NO_COMPOSE, 4255},	/* compatibility mapping */
-	{0xFD23, 0, 2 | DECOMP_NO_COMPOSE, 4257},	/* compatibility mapping */
-	{0xFD24, 0, 2 | DECOMP_NO_COMPOSE, 4259},	/* compatibility mapping */
-	{0xFD25, 0, 2 | DECOMP_NO_COMPOSE, 4261},	/* compatibility mapping */
-	{0xFD26, 0, 2 | DECOMP_NO_COMPOSE, 4263},	/* compatibility mapping */
-	{0xFD27, 0, 2 | DECOMP_NO_COMPOSE, 4265},	/* compatibility mapping */
-	{0xFD28, 0, 2 | DECOMP_NO_COMPOSE, 4267},	/* compatibility mapping */
-	{0xFD29, 0, 2 | DECOMP_NO_COMPOSE, 4269},	/* compatibility mapping */
-	{0xFD2A, 0, 2 | DECOMP_NO_COMPOSE, 4271},	/* compatibility mapping */
-	{0xFD2B, 0, 2 | DECOMP_NO_COMPOSE, 4273},	/* compatibility mapping */
-	{0xFD2C, 0, 2 | DECOMP_NO_COMPOSE, 4275},	/* compatibility mapping */
-	{0xFD2D, 0, 2 | DECOMP_NO_COMPOSE, 4277},	/* compatibility mapping */
-	{0xFD2E, 0, 2 | DECOMP_NO_COMPOSE, 4279},	/* compatibility mapping */
-	{0xFD2F, 0, 2 | DECOMP_NO_COMPOSE, 4281},	/* compatibility mapping */
-	{0xFD30, 0, 2 | DECOMP_NO_COMPOSE, 4283},	/* compatibility mapping */
-	{0xFD31, 0, 2 | DECOMP_NO_COMPOSE, 4285},	/* compatibility mapping */
-	{0xFD32, 0, 2 | DECOMP_NO_COMPOSE, 4287},	/* compatibility mapping */
-	{0xFD33, 0, 2 | DECOMP_NO_COMPOSE, 4289},	/* compatibility mapping */
-	{0xFD34, 0, 2 | DECOMP_NO_COMPOSE, 4291},	/* compatibility mapping */
-	{0xFD35, 0, 2 | DECOMP_NO_COMPOSE, 4293},	/* compatibility mapping */
-	{0xFD36, 0, 2 | DECOMP_NO_COMPOSE, 4295},	/* compatibility mapping */
-	{0xFD37, 0, 2 | DECOMP_NO_COMPOSE, 4297},	/* compatibility mapping */
-	{0xFD38, 0, 2 | DECOMP_NO_COMPOSE, 4299},	/* compatibility mapping */
-	{0xFD39, 0, 2 | DECOMP_NO_COMPOSE, 4301},	/* compatibility mapping */
-	{0xFD3A, 0, 2 | DECOMP_NO_COMPOSE, 4303},	/* compatibility mapping */
-	{0xFD3B, 0, 2 | DECOMP_NO_COMPOSE, 4305},	/* compatibility mapping */
-	{0xFD3C, 0, 2 | DECOMP_NO_COMPOSE, 4307},	/* compatibility mapping */
-	{0xFD3D, 0, 2 | DECOMP_NO_COMPOSE, 4309},	/* compatibility mapping */
-	{0xFD50, 0, 3, 4311},
-	{0xFD51, 0, 3, 4314},
-	{0xFD52, 0, 3, 4317},
-	{0xFD53, 0, 3, 4320},
-	{0xFD54, 0, 3, 4323},
-	{0xFD55, 0, 3, 4326},
-	{0xFD56, 0, 3, 4329},
-	{0xFD57, 0, 3, 4332},
-	{0xFD58, 0, 3, 4335},
-	{0xFD59, 0, 3, 4338},
-	{0xFD5A, 0, 3, 4341},
-	{0xFD5B, 0, 3, 4344},
-	{0xFD5C, 0, 3, 4347},
-	{0xFD5D, 0, 3, 4350},
-	{0xFD5E, 0, 3, 4353},
-	{0xFD5F, 0, 3, 4356},
-	{0xFD60, 0, 3, 4359},
-	{0xFD61, 0, 3, 4362},
-	{0xFD62, 0, 3, 4365},
-	{0xFD63, 0, 3, 4368},
-	{0xFD64, 0, 3, 4371},
-	{0xFD65, 0, 3, 4374},
-	{0xFD66, 0, 3, 4377},
-	{0xFD67, 0, 3, 4380},
-	{0xFD68, 0, 3, 4383},
-	{0xFD69, 0, 3, 4386},
-	{0xFD6A, 0, 3, 4389},
-	{0xFD6B, 0, 3, 4392},
-	{0xFD6C, 0, 3, 4395},
-	{0xFD6D, 0, 3, 4398},
-	{0xFD6E, 0, 3, 4401},
-	{0xFD6F, 0, 3, 4404},
-	{0xFD70, 0, 3, 4407},
-	{0xFD71, 0, 3, 4410},
-	{0xFD72, 0, 3, 4413},
-	{0xFD73, 0, 3, 4416},
-	{0xFD74, 0, 3, 4419},
-	{0xFD75, 0, 3, 4422},
-	{0xFD76, 0, 3, 4425},
-	{0xFD77, 0, 3, 4428},
-	{0xFD78, 0, 3, 4431},
-	{0xFD79, 0, 3, 4434},
-	{0xFD7A, 0, 3, 4437},
-	{0xFD7B, 0, 3, 4440},
-	{0xFD7C, 0, 3, 4443},
-	{0xFD7D, 0, 3, 4446},
-	{0xFD7E, 0, 3, 4449},
-	{0xFD7F, 0, 3, 4452},
-	{0xFD80, 0, 3, 4455},
-	{0xFD81, 0, 3, 4458},
-	{0xFD82, 0, 3, 4461},
-	{0xFD83, 0, 3, 4464},
-	{0xFD84, 0, 3, 4467},
-	{0xFD85, 0, 3, 4470},
-	{0xFD86, 0, 3, 4473},
-	{0xFD87, 0, 3, 4476},
-	{0xFD88, 0, 3, 4479},
-	{0xFD89, 0, 3, 4482},
-	{0xFD8A, 0, 3, 4485},
-	{0xFD8B, 0, 3, 4488},
-	{0xFD8C, 0, 3, 4491},
-	{0xFD8D, 0, 3, 4494},
-	{0xFD8E, 0, 3, 4497},
-	{0xFD8F, 0, 3, 4500},
-	{0xFD92, 0, 3, 4503},
-	{0xFD93, 0, 3, 4506},
-	{0xFD94, 0, 3, 4509},
-	{0xFD95, 0, 3, 4512},
-	{0xFD96, 0, 3, 4515},
-	{0xFD97, 0, 3, 4518},
-	{0xFD98, 0, 3, 4521},
-	{0xFD99, 0, 3, 4524},
-	{0xFD9A, 0, 3, 4527},
-	{0xFD9B, 0, 3, 4530},
-	{0xFD9C, 0, 3, 4533},
-	{0xFD9D, 0, 3, 4536},
-	{0xFD9E, 0, 3, 4539},
-	{0xFD9F, 0, 3, 4542},
-	{0xFDA0, 0, 3, 4545},
-	{0xFDA1, 0, 3, 4548},
-	{0xFDA2, 0, 3, 4551},
-	{0xFDA3, 0, 3, 4554},
-	{0xFDA4, 0, 3, 4557},
-	{0xFDA5, 0, 3, 4560},
-	{0xFDA6, 0, 3, 4563},
-	{0xFDA7, 0, 3, 4566},
-	{0xFDA8, 0, 3, 4569},
-	{0xFDA9, 0, 3, 4572},
-	{0xFDAA, 0, 3, 4575},
-	{0xFDAB, 0, 3, 4578},
-	{0xFDAC, 0, 3, 4581},
-	{0xFDAD, 0, 3, 4584},
-	{0xFDAE, 0, 3, 4587},
-	{0xFDAF, 0, 3, 4590},
-	{0xFDB0, 0, 3, 4593},
-	{0xFDB1, 0, 3, 4596},
-	{0xFDB2, 0, 3, 4599},
-	{0xFDB3, 0, 3, 4602},
-	{0xFDB4, 0, 3, 4605},
-	{0xFDB5, 0, 3, 4608},
-	{0xFDB6, 0, 3, 4611},
-	{0xFDB7, 0, 3, 4614},
-	{0xFDB8, 0, 3, 4617},
-	{0xFDB9, 0, 3, 4620},
-	{0xFDBA, 0, 3, 4623},
-	{0xFDBB, 0, 3, 4626},
-	{0xFDBC, 0, 3, 4629},
-	{0xFDBD, 0, 3, 4632},
-	{0xFDBE, 0, 3, 4635},
-	{0xFDBF, 0, 3, 4638},
-	{0xFDC0, 0, 3, 4641},
-	{0xFDC1, 0, 3, 4644},
-	{0xFDC2, 0, 3, 4647},
-	{0xFDC3, 0, 3, 4650},
-	{0xFDC4, 0, 3, 4653},
-	{0xFDC5, 0, 3, 4656},
-	{0xFDC6, 0, 3, 4659},
-	{0xFDC7, 0, 3, 4662},
-	{0xFDF0, 0, 3, 4665},
-	{0xFDF1, 0, 3, 4668},
-	{0xFDF2, 0, 4, 4671},
-	{0xFDF3, 0, 4, 4675},
-	{0xFDF4, 0, 4, 4679},
-	{0xFDF5, 0, 4, 4683},
-	{0xFDF6, 0, 4, 4687},
-	{0xFDF7, 0, 4, 4691},
-	{0xFDF8, 0, 4, 4695},
-	{0xFDF9, 0, 3, 4699},
-	{0xFDFA, 0, 18, 4702},
-	{0xFDFB, 0, 8, 4720},
-	{0xFDFC, 0, 4, 4728},
-	{0xFE10, 0, 1 | DECOMP_INLINE, 0x002C},
-	{0xFE11, 0, 1 | DECOMP_INLINE, 0x3001},
-	{0xFE12, 0, 1 | DECOMP_INLINE, 0x3002},
-	{0xFE13, 0, 1 | DECOMP_INLINE, 0x003A},
-	{0xFE14, 0, 1 | DECOMP_INLINE, 0x003B},
-	{0xFE15, 0, 1 | DECOMP_INLINE, 0x0021},
-	{0xFE16, 0, 1 | DECOMP_INLINE, 0x003F},
-	{0xFE17, 0, 1 | DECOMP_INLINE, 0x3016},
-	{0xFE18, 0, 1 | DECOMP_INLINE, 0x3017},
-	{0xFE19, 0, 1 | DECOMP_INLINE, 0x2026},
+	{0xFB4F, 0, 2 | DECOMP_COMPAT, 3628},
+	{0xFB50, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0671},
+	{0xFB51, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0671},
+	{0xFB52, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067B},
+	{0xFB53, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067B},
+	{0xFB54, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067B},
+	{0xFB55, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067B},
+	{0xFB56, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067E},
+	{0xFB57, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067E},
+	{0xFB58, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067E},
+	{0xFB59, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067E},
+	{0xFB5A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0680},
+	{0xFB5B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0680},
+	{0xFB5C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0680},
+	{0xFB5D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0680},
+	{0xFB5E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067A},
+	{0xFB5F, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067A},
+	{0xFB60, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067A},
+	{0xFB61, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067A},
+	{0xFB62, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067F},
+	{0xFB63, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067F},
+	{0xFB64, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067F},
+	{0xFB65, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x067F},
+	{0xFB66, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0679},
+	{0xFB67, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0679},
+	{0xFB68, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0679},
+	{0xFB69, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0679},
+	{0xFB6A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A4},
+	{0xFB6B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A4},
+	{0xFB6C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A4},
+	{0xFB6D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A4},
+	{0xFB6E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A6},
+	{0xFB6F, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A6},
+	{0xFB70, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A6},
+	{0xFB71, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A6},
+	{0xFB72, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0684},
+	{0xFB73, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0684},
+	{0xFB74, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0684},
+	{0xFB75, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0684},
+	{0xFB76, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0683},
+	{0xFB77, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0683},
+	{0xFB78, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0683},
+	{0xFB79, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0683},
+	{0xFB7A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0686},
+	{0xFB7B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0686},
+	{0xFB7C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0686},
+	{0xFB7D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0686},
+	{0xFB7E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0687},
+	{0xFB7F, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0687},
+	{0xFB80, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0687},
+	{0xFB81, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0687},
+	{0xFB82, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x068D},
+	{0xFB83, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x068D},
+	{0xFB84, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x068C},
+	{0xFB85, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x068C},
+	{0xFB86, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x068E},
+	{0xFB87, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x068E},
+	{0xFB88, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0688},
+	{0xFB89, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0688},
+	{0xFB8A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0698},
+	{0xFB8B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0698},
+	{0xFB8C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0691},
+	{0xFB8D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0691},
+	{0xFB8E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A9},
+	{0xFB8F, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A9},
+	{0xFB90, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A9},
+	{0xFB91, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06A9},
+	{0xFB92, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AF},
+	{0xFB93, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AF},
+	{0xFB94, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AF},
+	{0xFB95, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AF},
+	{0xFB96, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B3},
+	{0xFB97, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B3},
+	{0xFB98, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B3},
+	{0xFB99, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B3},
+	{0xFB9A, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B1},
+	{0xFB9B, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B1},
+	{0xFB9C, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B1},
+	{0xFB9D, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06B1},
+	{0xFB9E, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BA},
+	{0xFB9F, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BA},
+	{0xFBA0, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BB},
+	{0xFBA1, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BB},
+	{0xFBA2, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BB},
+	{0xFBA3, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BB},
+	{0xFBA4, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C0},
+	{0xFBA5, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C0},
+	{0xFBA6, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C1},
+	{0xFBA7, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C1},
+	{0xFBA8, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C1},
+	{0xFBA9, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C1},
+	{0xFBAA, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BE},
+	{0xFBAB, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BE},
+	{0xFBAC, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BE},
+	{0xFBAD, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06BE},
+	{0xFBAE, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D2},
+	{0xFBAF, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D2},
+	{0xFBB0, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D3},
+	{0xFBB1, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D3},
+	{0xFBD3, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AD},
+	{0xFBD4, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AD},
+	{0xFBD5, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AD},
+	{0xFBD6, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06AD},
+	{0xFBD7, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C7},
+	{0xFBD8, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C7},
+	{0xFBD9, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C6},
+	{0xFBDA, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C6},
+	{0xFBDB, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C8},
+	{0xFBDC, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C8},
+	{0xFBDD, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0677},
+	{0xFBDE, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06CB},
+	{0xFBDF, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06CB},
+	{0xFBE0, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C5},
+	{0xFBE1, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C5},
+	{0xFBE2, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C9},
+	{0xFBE3, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06C9},
+	{0xFBE4, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D0},
+	{0xFBE5, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D0},
+	{0xFBE6, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D0},
+	{0xFBE7, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06D0},
+	{0xFBE8, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0649},
+	{0xFBE9, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0649},
+	{0xFBEA, 0, 2 | DECOMP_COMPAT, 3630},
+	{0xFBEB, 0, 2 | DECOMP_COMPAT, 3632},
+	{0xFBEC, 0, 2 | DECOMP_COMPAT, 3634},
+	{0xFBED, 0, 2 | DECOMP_COMPAT, 3636},
+	{0xFBEE, 0, 2 | DECOMP_COMPAT, 3638},
+	{0xFBEF, 0, 2 | DECOMP_COMPAT, 3640},
+	{0xFBF0, 0, 2 | DECOMP_COMPAT, 3642},
+	{0xFBF1, 0, 2 | DECOMP_COMPAT, 3644},
+	{0xFBF2, 0, 2 | DECOMP_COMPAT, 3646},
+	{0xFBF3, 0, 2 | DECOMP_COMPAT, 3648},
+	{0xFBF4, 0, 2 | DECOMP_COMPAT, 3650},
+	{0xFBF5, 0, 2 | DECOMP_COMPAT, 3652},
+	{0xFBF6, 0, 2 | DECOMP_COMPAT, 3654},
+	{0xFBF7, 0, 2 | DECOMP_COMPAT, 3656},
+	{0xFBF8, 0, 2 | DECOMP_COMPAT, 3658},
+	{0xFBF9, 0, 2 | DECOMP_COMPAT, 3660},
+	{0xFBFA, 0, 2 | DECOMP_COMPAT, 3662},
+	{0xFBFB, 0, 2 | DECOMP_COMPAT, 3664},
+	{0xFBFC, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06CC},
+	{0xFBFD, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06CC},
+	{0xFBFE, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06CC},
+	{0xFBFF, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x06CC},
+	{0xFC00, 0, 2 | DECOMP_COMPAT, 3666},
+	{0xFC01, 0, 2 | DECOMP_COMPAT, 3668},
+	{0xFC02, 0, 2 | DECOMP_COMPAT, 3670},
+	{0xFC03, 0, 2 | DECOMP_COMPAT, 3672},
+	{0xFC04, 0, 2 | DECOMP_COMPAT, 3674},
+	{0xFC05, 0, 2 | DECOMP_COMPAT, 3676},
+	{0xFC06, 0, 2 | DECOMP_COMPAT, 3678},
+	{0xFC07, 0, 2 | DECOMP_COMPAT, 3680},
+	{0xFC08, 0, 2 | DECOMP_COMPAT, 3682},
+	{0xFC09, 0, 2 | DECOMP_COMPAT, 3684},
+	{0xFC0A, 0, 2 | DECOMP_COMPAT, 3686},
+	{0xFC0B, 0, 2 | DECOMP_COMPAT, 3688},
+	{0xFC0C, 0, 2 | DECOMP_COMPAT, 3690},
+	{0xFC0D, 0, 2 | DECOMP_COMPAT, 3692},
+	{0xFC0E, 0, 2 | DECOMP_COMPAT, 3694},
+	{0xFC0F, 0, 2 | DECOMP_COMPAT, 3696},
+	{0xFC10, 0, 2 | DECOMP_COMPAT, 3698},
+	{0xFC11, 0, 2 | DECOMP_COMPAT, 3700},
+	{0xFC12, 0, 2 | DECOMP_COMPAT, 3702},
+	{0xFC13, 0, 2 | DECOMP_COMPAT, 3704},
+	{0xFC14, 0, 2 | DECOMP_COMPAT, 3706},
+	{0xFC15, 0, 2 | DECOMP_COMPAT, 3708},
+	{0xFC16, 0, 2 | DECOMP_COMPAT, 3710},
+	{0xFC17, 0, 2 | DECOMP_COMPAT, 3712},
+	{0xFC18, 0, 2 | DECOMP_COMPAT, 3714},
+	{0xFC19, 0, 2 | DECOMP_COMPAT, 3716},
+	{0xFC1A, 0, 2 | DECOMP_COMPAT, 3718},
+	{0xFC1B, 0, 2 | DECOMP_COMPAT, 3720},
+	{0xFC1C, 0, 2 | DECOMP_COMPAT, 3722},
+	{0xFC1D, 0, 2 | DECOMP_COMPAT, 3724},
+	{0xFC1E, 0, 2 | DECOMP_COMPAT, 3726},
+	{0xFC1F, 0, 2 | DECOMP_COMPAT, 3728},
+	{0xFC20, 0, 2 | DECOMP_COMPAT, 3730},
+	{0xFC21, 0, 2 | DECOMP_COMPAT, 3732},
+	{0xFC22, 0, 2 | DECOMP_COMPAT, 3734},
+	{0xFC23, 0, 2 | DECOMP_COMPAT, 3736},
+	{0xFC24, 0, 2 | DECOMP_COMPAT, 3738},
+	{0xFC25, 0, 2 | DECOMP_COMPAT, 3740},
+	{0xFC26, 0, 2 | DECOMP_COMPAT, 3742},
+	{0xFC27, 0, 2 | DECOMP_COMPAT, 3744},
+	{0xFC28, 0, 2 | DECOMP_COMPAT, 3746},
+	{0xFC29, 0, 2 | DECOMP_COMPAT, 3748},
+	{0xFC2A, 0, 2 | DECOMP_COMPAT, 3750},
+	{0xFC2B, 0, 2 | DECOMP_COMPAT, 3752},
+	{0xFC2C, 0, 2 | DECOMP_COMPAT, 3754},
+	{0xFC2D, 0, 2 | DECOMP_COMPAT, 3756},
+	{0xFC2E, 0, 2 | DECOMP_COMPAT, 3758},
+	{0xFC2F, 0, 2 | DECOMP_COMPAT, 3760},
+	{0xFC30, 0, 2 | DECOMP_COMPAT, 3762},
+	{0xFC31, 0, 2 | DECOMP_COMPAT, 3764},
+	{0xFC32, 0, 2 | DECOMP_COMPAT, 3766},
+	{0xFC33, 0, 2 | DECOMP_COMPAT, 3768},
+	{0xFC34, 0, 2 | DECOMP_COMPAT, 3770},
+	{0xFC35, 0, 2 | DECOMP_COMPAT, 3772},
+	{0xFC36, 0, 2 | DECOMP_COMPAT, 3774},
+	{0xFC37, 0, 2 | DECOMP_COMPAT, 3776},
+	{0xFC38, 0, 2 | DECOMP_COMPAT, 3778},
+	{0xFC39, 0, 2 | DECOMP_COMPAT, 3780},
+	{0xFC3A, 0, 2 | DECOMP_COMPAT, 3782},
+	{0xFC3B, 0, 2 | DECOMP_COMPAT, 3784},
+	{0xFC3C, 0, 2 | DECOMP_COMPAT, 3786},
+	{0xFC3D, 0, 2 | DECOMP_COMPAT, 3788},
+	{0xFC3E, 0, 2 | DECOMP_COMPAT, 3790},
+	{0xFC3F, 0, 2 | DECOMP_COMPAT, 3792},
+	{0xFC40, 0, 2 | DECOMP_COMPAT, 3794},
+	{0xFC41, 0, 2 | DECOMP_COMPAT, 3796},
+	{0xFC42, 0, 2 | DECOMP_COMPAT, 3798},
+	{0xFC43, 0, 2 | DECOMP_COMPAT, 3800},
+	{0xFC44, 0, 2 | DECOMP_COMPAT, 3802},
+	{0xFC45, 0, 2 | DECOMP_COMPAT, 3804},
+	{0xFC46, 0, 2 | DECOMP_COMPAT, 3806},
+	{0xFC47, 0, 2 | DECOMP_COMPAT, 3808},
+	{0xFC48, 0, 2 | DECOMP_COMPAT, 3810},
+	{0xFC49, 0, 2 | DECOMP_COMPAT, 3812},
+	{0xFC4A, 0, 2 | DECOMP_COMPAT, 3814},
+	{0xFC4B, 0, 2 | DECOMP_COMPAT, 3816},
+	{0xFC4C, 0, 2 | DECOMP_COMPAT, 3818},
+	{0xFC4D, 0, 2 | DECOMP_COMPAT, 3820},
+	{0xFC4E, 0, 2 | DECOMP_COMPAT, 3822},
+	{0xFC4F, 0, 2 | DECOMP_COMPAT, 3824},
+	{0xFC50, 0, 2 | DECOMP_COMPAT, 3826},
+	{0xFC51, 0, 2 | DECOMP_COMPAT, 3828},
+	{0xFC52, 0, 2 | DECOMP_COMPAT, 3830},
+	{0xFC53, 0, 2 | DECOMP_COMPAT, 3832},
+	{0xFC54, 0, 2 | DECOMP_COMPAT, 3834},
+	{0xFC55, 0, 2 | DECOMP_COMPAT, 3836},
+	{0xFC56, 0, 2 | DECOMP_COMPAT, 3838},
+	{0xFC57, 0, 2 | DECOMP_COMPAT, 3840},
+	{0xFC58, 0, 2 | DECOMP_COMPAT, 3842},
+	{0xFC59, 0, 2 | DECOMP_COMPAT, 3844},
+	{0xFC5A, 0, 2 | DECOMP_COMPAT, 3846},
+	{0xFC5B, 0, 2 | DECOMP_COMPAT, 3848},
+	{0xFC5C, 0, 2 | DECOMP_COMPAT, 3850},
+	{0xFC5D, 0, 2 | DECOMP_COMPAT, 3852},
+	{0xFC5E, 0, 3 | DECOMP_COMPAT, 3854},
+	{0xFC5F, 0, 3 | DECOMP_COMPAT, 3857},
+	{0xFC60, 0, 3 | DECOMP_COMPAT, 3860},
+	{0xFC61, 0, 3 | DECOMP_COMPAT, 3863},
+	{0xFC62, 0, 3 | DECOMP_COMPAT, 3866},
+	{0xFC63, 0, 3 | DECOMP_COMPAT, 3869},
+	{0xFC64, 0, 2 | DECOMP_COMPAT, 3872},
+	{0xFC65, 0, 2 | DECOMP_COMPAT, 3874},
+	{0xFC66, 0, 2 | DECOMP_COMPAT, 3876},
+	{0xFC67, 0, 2 | DECOMP_COMPAT, 3878},
+	{0xFC68, 0, 2 | DECOMP_COMPAT, 3880},
+	{0xFC69, 0, 2 | DECOMP_COMPAT, 3882},
+	{0xFC6A, 0, 2 | DECOMP_COMPAT, 3884},
+	{0xFC6B, 0, 2 | DECOMP_COMPAT, 3886},
+	{0xFC6C, 0, 2 | DECOMP_COMPAT, 3888},
+	{0xFC6D, 0, 2 | DECOMP_COMPAT, 3890},
+	{0xFC6E, 0, 2 | DECOMP_COMPAT, 3892},
+	{0xFC6F, 0, 2 | DECOMP_COMPAT, 3894},
+	{0xFC70, 0, 2 | DECOMP_COMPAT, 3896},
+	{0xFC71, 0, 2 | DECOMP_COMPAT, 3898},
+	{0xFC72, 0, 2 | DECOMP_COMPAT, 3900},
+	{0xFC73, 0, 2 | DECOMP_COMPAT, 3902},
+	{0xFC74, 0, 2 | DECOMP_COMPAT, 3904},
+	{0xFC75, 0, 2 | DECOMP_COMPAT, 3906},
+	{0xFC76, 0, 2 | DECOMP_COMPAT, 3908},
+	{0xFC77, 0, 2 | DECOMP_COMPAT, 3910},
+	{0xFC78, 0, 2 | DECOMP_COMPAT, 3912},
+	{0xFC79, 0, 2 | DECOMP_COMPAT, 3914},
+	{0xFC7A, 0, 2 | DECOMP_COMPAT, 3916},
+	{0xFC7B, 0, 2 | DECOMP_COMPAT, 3918},
+	{0xFC7C, 0, 2 | DECOMP_COMPAT, 3920},
+	{0xFC7D, 0, 2 | DECOMP_COMPAT, 3922},
+	{0xFC7E, 0, 2 | DECOMP_COMPAT, 3924},
+	{0xFC7F, 0, 2 | DECOMP_COMPAT, 3926},
+	{0xFC80, 0, 2 | DECOMP_COMPAT, 3928},
+	{0xFC81, 0, 2 | DECOMP_COMPAT, 3930},
+	{0xFC82, 0, 2 | DECOMP_COMPAT, 3932},
+	{0xFC83, 0, 2 | DECOMP_COMPAT, 3934},
+	{0xFC84, 0, 2 | DECOMP_COMPAT, 3936},
+	{0xFC85, 0, 2 | DECOMP_COMPAT, 3938},
+	{0xFC86, 0, 2 | DECOMP_COMPAT, 3940},
+	{0xFC87, 0, 2 | DECOMP_COMPAT, 3942},
+	{0xFC88, 0, 2 | DECOMP_COMPAT, 3944},
+	{0xFC89, 0, 2 | DECOMP_COMPAT, 3946},
+	{0xFC8A, 0, 2 | DECOMP_COMPAT, 3948},
+	{0xFC8B, 0, 2 | DECOMP_COMPAT, 3950},
+	{0xFC8C, 0, 2 | DECOMP_COMPAT, 3952},
+	{0xFC8D, 0, 2 | DECOMP_COMPAT, 3954},
+	{0xFC8E, 0, 2 | DECOMP_COMPAT, 3956},
+	{0xFC8F, 0, 2 | DECOMP_COMPAT, 3958},
+	{0xFC90, 0, 2 | DECOMP_COMPAT, 3960},
+	{0xFC91, 0, 2 | DECOMP_COMPAT, 3962},
+	{0xFC92, 0, 2 | DECOMP_COMPAT, 3964},
+	{0xFC93, 0, 2 | DECOMP_COMPAT, 3966},
+	{0xFC94, 0, 2 | DECOMP_COMPAT, 3968},
+	{0xFC95, 0, 2 | DECOMP_COMPAT, 3970},
+	{0xFC96, 0, 2 | DECOMP_COMPAT, 3972},
+	{0xFC97, 0, 2 | DECOMP_COMPAT, 3974},
+	{0xFC98, 0, 2 | DECOMP_COMPAT, 3976},
+	{0xFC99, 0, 2 | DECOMP_COMPAT, 3978},
+	{0xFC9A, 0, 2 | DECOMP_COMPAT, 3980},
+	{0xFC9B, 0, 2 | DECOMP_COMPAT, 3982},
+	{0xFC9C, 0, 2 | DECOMP_COMPAT, 3984},
+	{0xFC9D, 0, 2 | DECOMP_COMPAT, 3986},
+	{0xFC9E, 0, 2 | DECOMP_COMPAT, 3988},
+	{0xFC9F, 0, 2 | DECOMP_COMPAT, 3990},
+	{0xFCA0, 0, 2 | DECOMP_COMPAT, 3992},
+	{0xFCA1, 0, 2 | DECOMP_COMPAT, 3994},
+	{0xFCA2, 0, 2 | DECOMP_COMPAT, 3996},
+	{0xFCA3, 0, 2 | DECOMP_COMPAT, 3998},
+	{0xFCA4, 0, 2 | DECOMP_COMPAT, 4000},
+	{0xFCA5, 0, 2 | DECOMP_COMPAT, 4002},
+	{0xFCA6, 0, 2 | DECOMP_COMPAT, 4004},
+	{0xFCA7, 0, 2 | DECOMP_COMPAT, 4006},
+	{0xFCA8, 0, 2 | DECOMP_COMPAT, 4008},
+	{0xFCA9, 0, 2 | DECOMP_COMPAT, 4010},
+	{0xFCAA, 0, 2 | DECOMP_COMPAT, 4012},
+	{0xFCAB, 0, 2 | DECOMP_COMPAT, 4014},
+	{0xFCAC, 0, 2 | DECOMP_COMPAT, 4016},
+	{0xFCAD, 0, 2 | DECOMP_COMPAT, 4018},
+	{0xFCAE, 0, 2 | DECOMP_COMPAT, 4020},
+	{0xFCAF, 0, 2 | DECOMP_COMPAT, 4022},
+	{0xFCB0, 0, 2 | DECOMP_COMPAT, 4024},
+	{0xFCB1, 0, 2 | DECOMP_COMPAT, 4026},
+	{0xFCB2, 0, 2 | DECOMP_COMPAT, 4028},
+	{0xFCB3, 0, 2 | DECOMP_COMPAT, 4030},
+	{0xFCB4, 0, 2 | DECOMP_COMPAT, 4032},
+	{0xFCB5, 0, 2 | DECOMP_COMPAT, 4034},
+	{0xFCB6, 0, 2 | DECOMP_COMPAT, 4036},
+	{0xFCB7, 0, 2 | DECOMP_COMPAT, 4038},
+	{0xFCB8, 0, 2 | DECOMP_COMPAT, 4040},
+	{0xFCB9, 0, 2 | DECOMP_COMPAT, 4042},
+	{0xFCBA, 0, 2 | DECOMP_COMPAT, 4044},
+	{0xFCBB, 0, 2 | DECOMP_COMPAT, 4046},
+	{0xFCBC, 0, 2 | DECOMP_COMPAT, 4048},
+	{0xFCBD, 0, 2 | DECOMP_COMPAT, 4050},
+	{0xFCBE, 0, 2 | DECOMP_COMPAT, 4052},
+	{0xFCBF, 0, 2 | DECOMP_COMPAT, 4054},
+	{0xFCC0, 0, 2 | DECOMP_COMPAT, 4056},
+	{0xFCC1, 0, 2 | DECOMP_COMPAT, 4058},
+	{0xFCC2, 0, 2 | DECOMP_COMPAT, 4060},
+	{0xFCC3, 0, 2 | DECOMP_COMPAT, 4062},
+	{0xFCC4, 0, 2 | DECOMP_COMPAT, 4064},
+	{0xFCC5, 0, 2 | DECOMP_COMPAT, 4066},
+	{0xFCC6, 0, 2 | DECOMP_COMPAT, 4068},
+	{0xFCC7, 0, 2 | DECOMP_COMPAT, 4070},
+	{0xFCC8, 0, 2 | DECOMP_COMPAT, 4072},
+	{0xFCC9, 0, 2 | DECOMP_COMPAT, 4074},
+	{0xFCCA, 0, 2 | DECOMP_COMPAT, 4076},
+	{0xFCCB, 0, 2 | DECOMP_COMPAT, 4078},
+	{0xFCCC, 0, 2 | DECOMP_COMPAT, 4080},
+	{0xFCCD, 0, 2 | DECOMP_COMPAT, 4082},
+	{0xFCCE, 0, 2 | DECOMP_COMPAT, 4084},
+	{0xFCCF, 0, 2 | DECOMP_COMPAT, 4086},
+	{0xFCD0, 0, 2 | DECOMP_COMPAT, 4088},
+	{0xFCD1, 0, 2 | DECOMP_COMPAT, 4090},
+	{0xFCD2, 0, 2 | DECOMP_COMPAT, 4092},
+	{0xFCD3, 0, 2 | DECOMP_COMPAT, 4094},
+	{0xFCD4, 0, 2 | DECOMP_COMPAT, 4096},
+	{0xFCD5, 0, 2 | DECOMP_COMPAT, 4098},
+	{0xFCD6, 0, 2 | DECOMP_COMPAT, 4100},
+	{0xFCD7, 0, 2 | DECOMP_COMPAT, 4102},
+	{0xFCD8, 0, 2 | DECOMP_COMPAT, 4104},
+	{0xFCD9, 0, 2 | DECOMP_COMPAT, 4106},
+	{0xFCDA, 0, 2 | DECOMP_COMPAT, 4108},
+	{0xFCDB, 0, 2 | DECOMP_COMPAT, 4110},
+	{0xFCDC, 0, 2 | DECOMP_COMPAT, 4112},
+	{0xFCDD, 0, 2 | DECOMP_COMPAT, 4114},
+	{0xFCDE, 0, 2 | DECOMP_COMPAT, 4116},
+	{0xFCDF, 0, 2 | DECOMP_COMPAT, 4118},
+	{0xFCE0, 0, 2 | DECOMP_COMPAT, 4120},
+	{0xFCE1, 0, 2 | DECOMP_COMPAT, 4122},
+	{0xFCE2, 0, 2 | DECOMP_COMPAT, 4124},
+	{0xFCE3, 0, 2 | DECOMP_COMPAT, 4126},
+	{0xFCE4, 0, 2 | DECOMP_COMPAT, 4128},
+	{0xFCE5, 0, 2 | DECOMP_COMPAT, 4130},
+	{0xFCE6, 0, 2 | DECOMP_COMPAT, 4132},
+	{0xFCE7, 0, 2 | DECOMP_COMPAT, 4134},
+	{0xFCE8, 0, 2 | DECOMP_COMPAT, 4136},
+	{0xFCE9, 0, 2 | DECOMP_COMPAT, 4138},
+	{0xFCEA, 0, 2 | DECOMP_COMPAT, 4140},
+	{0xFCEB, 0, 2 | DECOMP_COMPAT, 4142},
+	{0xFCEC, 0, 2 | DECOMP_COMPAT, 4144},
+	{0xFCED, 0, 2 | DECOMP_COMPAT, 4146},
+	{0xFCEE, 0, 2 | DECOMP_COMPAT, 4148},
+	{0xFCEF, 0, 2 | DECOMP_COMPAT, 4150},
+	{0xFCF0, 0, 2 | DECOMP_COMPAT, 4152},
+	{0xFCF1, 0, 2 | DECOMP_COMPAT, 4154},
+	{0xFCF2, 0, 3 | DECOMP_COMPAT, 4156},
+	{0xFCF3, 0, 3 | DECOMP_COMPAT, 4159},
+	{0xFCF4, 0, 3 | DECOMP_COMPAT, 4162},
+	{0xFCF5, 0, 2 | DECOMP_COMPAT, 4165},
+	{0xFCF6, 0, 2 | DECOMP_COMPAT, 4167},
+	{0xFCF7, 0, 2 | DECOMP_COMPAT, 4169},
+	{0xFCF8, 0, 2 | DECOMP_COMPAT, 4171},
+	{0xFCF9, 0, 2 | DECOMP_COMPAT, 4173},
+	{0xFCFA, 0, 2 | DECOMP_COMPAT, 4175},
+	{0xFCFB, 0, 2 | DECOMP_COMPAT, 4177},
+	{0xFCFC, 0, 2 | DECOMP_COMPAT, 4179},
+	{0xFCFD, 0, 2 | DECOMP_COMPAT, 4181},
+	{0xFCFE, 0, 2 | DECOMP_COMPAT, 4183},
+	{0xFCFF, 0, 2 | DECOMP_COMPAT, 4185},
+	{0xFD00, 0, 2 | DECOMP_COMPAT, 4187},
+	{0xFD01, 0, 2 | DECOMP_COMPAT, 4189},
+	{0xFD02, 0, 2 | DECOMP_COMPAT, 4191},
+	{0xFD03, 0, 2 | DECOMP_COMPAT, 4193},
+	{0xFD04, 0, 2 | DECOMP_COMPAT, 4195},
+	{0xFD05, 0, 2 | DECOMP_COMPAT, 4197},
+	{0xFD06, 0, 2 | DECOMP_COMPAT, 4199},
+	{0xFD07, 0, 2 | DECOMP_COMPAT, 4201},
+	{0xFD08, 0, 2 | DECOMP_COMPAT, 4203},
+	{0xFD09, 0, 2 | DECOMP_COMPAT, 4205},
+	{0xFD0A, 0, 2 | DECOMP_COMPAT, 4207},
+	{0xFD0B, 0, 2 | DECOMP_COMPAT, 4209},
+	{0xFD0C, 0, 2 | DECOMP_COMPAT, 4211},
+	{0xFD0D, 0, 2 | DECOMP_COMPAT, 4213},
+	{0xFD0E, 0, 2 | DECOMP_COMPAT, 4215},
+	{0xFD0F, 0, 2 | DECOMP_COMPAT, 4217},
+	{0xFD10, 0, 2 | DECOMP_COMPAT, 4219},
+	{0xFD11, 0, 2 | DECOMP_COMPAT, 4221},
+	{0xFD12, 0, 2 | DECOMP_COMPAT, 4223},
+	{0xFD13, 0, 2 | DECOMP_COMPAT, 4225},
+	{0xFD14, 0, 2 | DECOMP_COMPAT, 4227},
+	{0xFD15, 0, 2 | DECOMP_COMPAT, 4229},
+	{0xFD16, 0, 2 | DECOMP_COMPAT, 4231},
+	{0xFD17, 0, 2 | DECOMP_COMPAT, 4233},
+	{0xFD18, 0, 2 | DECOMP_COMPAT, 4235},
+	{0xFD19, 0, 2 | DECOMP_COMPAT, 4237},
+	{0xFD1A, 0, 2 | DECOMP_COMPAT, 4239},
+	{0xFD1B, 0, 2 | DECOMP_COMPAT, 4241},
+	{0xFD1C, 0, 2 | DECOMP_COMPAT, 4243},
+	{0xFD1D, 0, 2 | DECOMP_COMPAT, 4245},
+	{0xFD1E, 0, 2 | DECOMP_COMPAT, 4247},
+	{0xFD1F, 0, 2 | DECOMP_COMPAT, 4249},
+	{0xFD20, 0, 2 | DECOMP_COMPAT, 4251},
+	{0xFD21, 0, 2 | DECOMP_COMPAT, 4253},
+	{0xFD22, 0, 2 | DECOMP_COMPAT, 4255},
+	{0xFD23, 0, 2 | DECOMP_COMPAT, 4257},
+	{0xFD24, 0, 2 | DECOMP_COMPAT, 4259},
+	{0xFD25, 0, 2 | DECOMP_COMPAT, 4261},
+	{0xFD26, 0, 2 | DECOMP_COMPAT, 4263},
+	{0xFD27, 0, 2 | DECOMP_COMPAT, 4265},
+	{0xFD28, 0, 2 | DECOMP_COMPAT, 4267},
+	{0xFD29, 0, 2 | DECOMP_COMPAT, 4269},
+	{0xFD2A, 0, 2 | DECOMP_COMPAT, 4271},
+	{0xFD2B, 0, 2 | DECOMP_COMPAT, 4273},
+	{0xFD2C, 0, 2 | DECOMP_COMPAT, 4275},
+	{0xFD2D, 0, 2 | DECOMP_COMPAT, 4277},
+	{0xFD2E, 0, 2 | DECOMP_COMPAT, 4279},
+	{0xFD2F, 0, 2 | DECOMP_COMPAT, 4281},
+	{0xFD30, 0, 2 | DECOMP_COMPAT, 4283},
+	{0xFD31, 0, 2 | DECOMP_COMPAT, 4285},
+	{0xFD32, 0, 2 | DECOMP_COMPAT, 4287},
+	{0xFD33, 0, 2 | DECOMP_COMPAT, 4289},
+	{0xFD34, 0, 2 | DECOMP_COMPAT, 4291},
+	{0xFD35, 0, 2 | DECOMP_COMPAT, 4293},
+	{0xFD36, 0, 2 | DECOMP_COMPAT, 4295},
+	{0xFD37, 0, 2 | DECOMP_COMPAT, 4297},
+	{0xFD38, 0, 2 | DECOMP_COMPAT, 4299},
+	{0xFD39, 0, 2 | DECOMP_COMPAT, 4301},
+	{0xFD3A, 0, 2 | DECOMP_COMPAT, 4303},
+	{0xFD3B, 0, 2 | DECOMP_COMPAT, 4305},
+	{0xFD3C, 0, 2 | DECOMP_COMPAT, 4307},
+	{0xFD3D, 0, 2 | DECOMP_COMPAT, 4309},
+	{0xFD50, 0, 3 | DECOMP_COMPAT, 4311},
+	{0xFD51, 0, 3 | DECOMP_COMPAT, 4314},
+	{0xFD52, 0, 3 | DECOMP_COMPAT, 4317},
+	{0xFD53, 0, 3 | DECOMP_COMPAT, 4320},
+	{0xFD54, 0, 3 | DECOMP_COMPAT, 4323},
+	{0xFD55, 0, 3 | DECOMP_COMPAT, 4326},
+	{0xFD56, 0, 3 | DECOMP_COMPAT, 4329},
+	{0xFD57, 0, 3 | DECOMP_COMPAT, 4332},
+	{0xFD58, 0, 3 | DECOMP_COMPAT, 4335},
+	{0xFD59, 0, 3 | DECOMP_COMPAT, 4338},
+	{0xFD5A, 0, 3 | DECOMP_COMPAT, 4341},
+	{0xFD5B, 0, 3 | DECOMP_COMPAT, 4344},
+	{0xFD5C, 0, 3 | DECOMP_COMPAT, 4347},
+	{0xFD5D, 0, 3 | DECOMP_COMPAT, 4350},
+	{0xFD5E, 0, 3 | DECOMP_COMPAT, 4353},
+	{0xFD5F, 0, 3 | DECOMP_COMPAT, 4356},
+	{0xFD60, 0, 3 | DECOMP_COMPAT, 4359},
+	{0xFD61, 0, 3 | DECOMP_COMPAT, 4362},
+	{0xFD62, 0, 3 | DECOMP_COMPAT, 4365},
+	{0xFD63, 0, 3 | DECOMP_COMPAT, 4368},
+	{0xFD64, 0, 3 | DECOMP_COMPAT, 4371},
+	{0xFD65, 0, 3 | DECOMP_COMPAT, 4374},
+	{0xFD66, 0, 3 | DECOMP_COMPAT, 4377},
+	{0xFD67, 0, 3 | DECOMP_COMPAT, 4380},
+	{0xFD68, 0, 3 | DECOMP_COMPAT, 4383},
+	{0xFD69, 0, 3 | DECOMP_COMPAT, 4386},
+	{0xFD6A, 0, 3 | DECOMP_COMPAT, 4389},
+	{0xFD6B, 0, 3 | DECOMP_COMPAT, 4392},
+	{0xFD6C, 0, 3 | DECOMP_COMPAT, 4395},
+	{0xFD6D, 0, 3 | DECOMP_COMPAT, 4398},
+	{0xFD6E, 0, 3 | DECOMP_COMPAT, 4401},
+	{0xFD6F, 0, 3 | DECOMP_COMPAT, 4404},
+	{0xFD70, 0, 3 | DECOMP_COMPAT, 4407},
+	{0xFD71, 0, 3 | DECOMP_COMPAT, 4410},
+	{0xFD72, 0, 3 | DECOMP_COMPAT, 4413},
+	{0xFD73, 0, 3 | DECOMP_COMPAT, 4416},
+	{0xFD74, 0, 3 | DECOMP_COMPAT, 4419},
+	{0xFD75, 0, 3 | DECOMP_COMPAT, 4422},
+	{0xFD76, 0, 3 | DECOMP_COMPAT, 4425},
+	{0xFD77, 0, 3 | DECOMP_COMPAT, 4428},
+	{0xFD78, 0, 3 | DECOMP_COMPAT, 4431},
+	{0xFD79, 0, 3 | DECOMP_COMPAT, 4434},
+	{0xFD7A, 0, 3 | DECOMP_COMPAT, 4437},
+	{0xFD7B, 0, 3 | DECOMP_COMPAT, 4440},
+	{0xFD7C, 0, 3 | DECOMP_COMPAT, 4443},
+	{0xFD7D, 0, 3 | DECOMP_COMPAT, 4446},
+	{0xFD7E, 0, 3 | DECOMP_COMPAT, 4449},
+	{0xFD7F, 0, 3 | DECOMP_COMPAT, 4452},
+	{0xFD80, 0, 3 | DECOMP_COMPAT, 4455},
+	{0xFD81, 0, 3 | DECOMP_COMPAT, 4458},
+	{0xFD82, 0, 3 | DECOMP_COMPAT, 4461},
+	{0xFD83, 0, 3 | DECOMP_COMPAT, 4464},
+	{0xFD84, 0, 3 | DECOMP_COMPAT, 4467},
+	{0xFD85, 0, 3 | DECOMP_COMPAT, 4470},
+	{0xFD86, 0, 3 | DECOMP_COMPAT, 4473},
+	{0xFD87, 0, 3 | DECOMP_COMPAT, 4476},
+	{0xFD88, 0, 3 | DECOMP_COMPAT, 4479},
+	{0xFD89, 0, 3 | DECOMP_COMPAT, 4482},
+	{0xFD8A, 0, 3 | DECOMP_COMPAT, 4485},
+	{0xFD8B, 0, 3 | DECOMP_COMPAT, 4488},
+	{0xFD8C, 0, 3 | DECOMP_COMPAT, 4491},
+	{0xFD8D, 0, 3 | DECOMP_COMPAT, 4494},
+	{0xFD8E, 0, 3 | DECOMP_COMPAT, 4497},
+	{0xFD8F, 0, 3 | DECOMP_COMPAT, 4500},
+	{0xFD92, 0, 3 | DECOMP_COMPAT, 4503},
+	{0xFD93, 0, 3 | DECOMP_COMPAT, 4506},
+	{0xFD94, 0, 3 | DECOMP_COMPAT, 4509},
+	{0xFD95, 0, 3 | DECOMP_COMPAT, 4512},
+	{0xFD96, 0, 3 | DECOMP_COMPAT, 4515},
+	{0xFD97, 0, 3 | DECOMP_COMPAT, 4518},
+	{0xFD98, 0, 3 | DECOMP_COMPAT, 4521},
+	{0xFD99, 0, 3 | DECOMP_COMPAT, 4524},
+	{0xFD9A, 0, 3 | DECOMP_COMPAT, 4527},
+	{0xFD9B, 0, 3 | DECOMP_COMPAT, 4530},
+	{0xFD9C, 0, 3 | DECOMP_COMPAT, 4533},
+	{0xFD9D, 0, 3 | DECOMP_COMPAT, 4536},
+	{0xFD9E, 0, 3 | DECOMP_COMPAT, 4539},
+	{0xFD9F, 0, 3 | DECOMP_COMPAT, 4542},
+	{0xFDA0, 0, 3 | DECOMP_COMPAT, 4545},
+	{0xFDA1, 0, 3 | DECOMP_COMPAT, 4548},
+	{0xFDA2, 0, 3 | DECOMP_COMPAT, 4551},
+	{0xFDA3, 0, 3 | DECOMP_COMPAT, 4554},
+	{0xFDA4, 0, 3 | DECOMP_COMPAT, 4557},
+	{0xFDA5, 0, 3 | DECOMP_COMPAT, 4560},
+	{0xFDA6, 0, 3 | DECOMP_COMPAT, 4563},
+	{0xFDA7, 0, 3 | DECOMP_COMPAT, 4566},
+	{0xFDA8, 0, 3 | DECOMP_COMPAT, 4569},
+	{0xFDA9, 0, 3 | DECOMP_COMPAT, 4572},
+	{0xFDAA, 0, 3 | DECOMP_COMPAT, 4575},
+	{0xFDAB, 0, 3 | DECOMP_COMPAT, 4578},
+	{0xFDAC, 0, 3 | DECOMP_COMPAT, 4581},
+	{0xFDAD, 0, 3 | DECOMP_COMPAT, 4584},
+	{0xFDAE, 0, 3 | DECOMP_COMPAT, 4587},
+	{0xFDAF, 0, 3 | DECOMP_COMPAT, 4590},
+	{0xFDB0, 0, 3 | DECOMP_COMPAT, 4593},
+	{0xFDB1, 0, 3 | DECOMP_COMPAT, 4596},
+	{0xFDB2, 0, 3 | DECOMP_COMPAT, 4599},
+	{0xFDB3, 0, 3 | DECOMP_COMPAT, 4602},
+	{0xFDB4, 0, 3 | DECOMP_COMPAT, 4605},
+	{0xFDB5, 0, 3 | DECOMP_COMPAT, 4608},
+	{0xFDB6, 0, 3 | DECOMP_COMPAT, 4611},
+	{0xFDB7, 0, 3 | DECOMP_COMPAT, 4614},
+	{0xFDB8, 0, 3 | DECOMP_COMPAT, 4617},
+	{0xFDB9, 0, 3 | DECOMP_COMPAT, 4620},
+	{0xFDBA, 0, 3 | DECOMP_COMPAT, 4623},
+	{0xFDBB, 0, 3 | DECOMP_COMPAT, 4626},
+	{0xFDBC, 0, 3 | DECOMP_COMPAT, 4629},
+	{0xFDBD, 0, 3 | DECOMP_COMPAT, 4632},
+	{0xFDBE, 0, 3 | DECOMP_COMPAT, 4635},
+	{0xFDBF, 0, 3 | DECOMP_COMPAT, 4638},
+	{0xFDC0, 0, 3 | DECOMP_COMPAT, 4641},
+	{0xFDC1, 0, 3 | DECOMP_COMPAT, 4644},
+	{0xFDC2, 0, 3 | DECOMP_COMPAT, 4647},
+	{0xFDC3, 0, 3 | DECOMP_COMPAT, 4650},
+	{0xFDC4, 0, 3 | DECOMP_COMPAT, 4653},
+	{0xFDC5, 0, 3 | DECOMP_COMPAT, 4656},
+	{0xFDC6, 0, 3 | DECOMP_COMPAT, 4659},
+	{0xFDC7, 0, 3 | DECOMP_COMPAT, 4662},
+	{0xFDF0, 0, 3 | DECOMP_COMPAT, 4665},
+	{0xFDF1, 0, 3 | DECOMP_COMPAT, 4668},
+	{0xFDF2, 0, 4 | DECOMP_COMPAT, 4671},
+	{0xFDF3, 0, 4 | DECOMP_COMPAT, 4675},
+	{0xFDF4, 0, 4 | DECOMP_COMPAT, 4679},
+	{0xFDF5, 0, 4 | DECOMP_COMPAT, 4683},
+	{0xFDF6, 0, 4 | DECOMP_COMPAT, 4687},
+	{0xFDF7, 0, 4 | DECOMP_COMPAT, 4691},
+	{0xFDF8, 0, 4 | DECOMP_COMPAT, 4695},
+	{0xFDF9, 0, 3 | DECOMP_COMPAT, 4699},
+	{0xFDFA, 0, 18 | DECOMP_COMPAT, 4702},
+	{0xFDFB, 0, 8 | DECOMP_COMPAT, 4720},
+	{0xFDFC, 0, 4 | DECOMP_COMPAT, 4728},
+	{0xFE10, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x002C},
+	{0xFE11, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x3001},
+	{0xFE12, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x3002},
+	{0xFE13, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x003A},
+	{0xFE14, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x003B},
+	{0xFE15, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x0021},
+	{0xFE16, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x003F},
+	{0xFE17, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x3016},
+	{0xFE18, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x3017},
+	{0xFE19, 0, 1 | DECOMP_COMPAT | DECOMP_INLINE, 0x2026},
 	{0xFE20, 230, 0, 0},
 	{0xFE21, 230, 0, 0},
 	{0xFE22, 230, 0, 0},
